---
title: '-moz-image-region'
slug: Web/CSS/-moz-image-region
tags:
  - CSS
  - CSS Property
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_Header}}</div>

<p>For certain XUL elements and pseudo-elements that use an image from the {{CSSxRef("list-style-image")}} property, this property specifies a region of the image that is used in place of the whole image. This allows elements to use different pieces of the same image to improve performance.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword value */
-moz-image-region: auto;

/* &lt;shape&gt; value */
-moz-image-region: rect(0, 8px, 4px, 4px);

/* Global values */
-moz-image-region: inherit;
-moz-image-region: initial;
-moz-image-region: unset;</pre>

<p>The syntax is similar to the {{CSSxRef("clip")}} property. All four values are relative to the upper left corner of the image.</p>

<div class="note">
<p><strong>Note:</strong> For a system that works on any background, see {{CSSxRef("-moz-image-rect")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Automatically defines the region of the image to use.</dd>
 <dt><a href="https://developer.mozilla.org/docs/Web/CSS/shape"><code>&lt;shape&gt;</code></a></dt>
 <dd>A shape defining the part of the image to use. The <code>rect()</code> function defines a rectangle to use as shape. Its parameters define the top, right, bottom, and left offsets of the edges of the image, in this order.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Clipping_an_image">Clipping an image</h3>

<pre class="brush:css notranslate">#example-button {
  /* display only the 4x4 area from the top left of this image */
  list-style-image: url("chrome://example/skin/example.png");
  -moz-image-region: rect(0px, 4px, 4px, 0px);
}
#example-button:hover {
  /* use the 4x4 area to the right of the first for the hovered button */
  -moz-image-region: rect(0px, 8px, 4px, 4px);
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-image-region")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("-moz-image-rect")}}</li>
</ul>
